Show / Hide Table of Contents

# Struct AddonChatLogPanel

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    [Addon(new string[]{"ChatLogPanel_0", "ChatLogPanel_1", "ChatLogPanel_2", "ChatLogPanel_3"})]
    public struct AddonChatLogPanel

### Fields

| Improve this Doc View Source

#### AtkUnitBase

##### Declaration

    public AtkUnitBase AtkUnitBase

##### Field Value

Type | Description
--- | ---
AtkUnitBase |

| Improve this Doc View Source

#### FirstLineVisible

##### Declaration

    public uint FirstLineVisible

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IsScrolledBottom

##### Declaration

    public byte IsScrolledBottom

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LastLineVisible

##### Declaration

    public uint LastLineVisible

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MessagesAboveCurrent

##### Declaration

    public uint MessagesAboveCurrent

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### TotalLineCount

##### Declaration

    public uint TotalLineCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Unknown2C0

##### Declaration

    public uint Unknown2C0

##### Field Value

Type | Description
--- | ---
System.UInt32 |